.product-card {
    height: 33rem;
    position: relative;
    background-color: rgb(255, 254, 253);
    /*background: linear-gradient(0deg, rgba(240,240,240,1) 0%, rgba(210,210,210,1) 55%, rgba(210,210,210,1) 100%);*/
    text-decoration: none;
    color: white;
}

.card-overlay {
    background: rgba(0, 0, 0, 0.3); /* nivelul de întunecare, modifică după gust */
    z-index: 1;
    pointer-events: none; /* ca să nu blocheze hoverul/linkul */
}

.card-content .description-wrapper{
    background-color: transparent !important;
    color: white !important;
}

.discount-label {
    background-color: #b29d85;
    color: white;
    padding: 5px 10px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 0.8rem;
    font-weight: bold;
    top: 3%;
    left: 5%;
}

.discount-label-left {
    top: 6%;
    left: 5%;
}

.discount-label-right {
    top: 6%;
    right: 5%;
    left: unset;
}

.discount-label svg {
    width: 16px;
    height: 16px;
}

.discount-label .discount-text {
    line-height: 1;
}

.collection-label {
    background-color: #bd9160;
}

.image-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
}

.image-wrapper .card-image,
.image-wrapper .card-overlay {
    --r: 8px; /* the radius */
    --s: 22px; /* size of inner curve */
    --x: 31px; /* horizontal offset (no percentane) */
    --y: 21px; /* vertical offset (no percentage) */

    width: 250px;
    aspect-ratio: 1;
    border-radius: var(--r);
    --_m: / calc(2 * var(--r)) calc(2 * var(--r)) radial-gradient(#000 70%, #0000 72%);
    --_g: conic-gradient(from 90deg at calc(100% - var(--r)) calc(100% - var(--r)), #0000 25%, #000 0);
    --_d:(var(--s) + var(--r));
    mask: calc(100% - var(--_d) - var(--x)) 100% var(--_m),
    100% calc(100% - var(--_d) - var(--y)) var(--_m),
    radial-gradient(var(--s) at 100% 100%, #0000 99%, #000 calc(100% + 1px)) calc(-1 * var(--r) - var(--x)) calc(-1 * var(--r) - var(--y)),
    var(--_g) calc(-1 * var(--_d) - var(--x)) 0,
    var(--_g) 0 calc(-1 * var(--_d) - var(--y));
    mask-repeat: no-repeat;
}

.card-overlay {
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
}